This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.202. __nv_lgammaf

Prototype:

    float @__nv_lgammaf(float %x)

Description:

Calculate the natural logarithm of the absolute value of the gamma function of the input argument `x`, namely the value of log e ∫ 0 ∞ e − t t x − 1 d t

Returns:

- __nv_lgammaf(1) returns +0.

- __nv_lgammaf(2) returns +0.

- __nv_lgammaf(`x`) returns ± ∞ if the correctly calculated value is outside the double floating point range.

- __nv_lgammaf(`x`) returns + ∞ if `x` ≤ 0.

- __nv_lgammaf( − ∞ ) returns − ∞ .

- __nv_lgammaf( + ∞ ) returns + ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes